'use strict';

var index = require('./index.cjs');
require('node:fs');
require('node:buffer');
require('node:process');
require('unplugin');
require('@rollup/pluginutils');

var astro = (options) => ({
    name: 'unplugin-starter',
    hooks: {
        'astro:config:setup': async (astro) => {
            var _a;
            (_a = astro.config.vite).plugins || (_a.plugins = []);
            astro.config.vite.plugins.push(index.unplugin.vite(options));
        },
    },
});

module.exports = astro;
