import * as _unplugin from 'unplugin';
import { UnpluginFactory } from 'unplugin';
import { Options } from './types.js';

declare const unpluginFactory: UnpluginFactory<Options | undefined>;
declare function filter(options: Options): (id: string) => boolean;
declare function transform(code: string, id: string, options?: Options): string;
declare const unplugin: _unplugin.UnpluginInstance<Options | undefined, boolean>;

export { unplugin as default, filter, transform, unplugin, unpluginFactory };
